import logging
import os
import pickle
from avariantas.information.project import Project

logger = logging.getLogger(__name__)


def save_project(project: Project, file_path: str):
    if os.path.splitext(file_path)[1] != ".ava":
        file_path += ".ava"
    with open(file_path, "wb") as project_stream:
        pickle.dump(project, project_stream, protocol=5)
    logger.info('Saved project data to "%s".', file_path)
